ALTER TABLE SALDKONT
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE SALDKONT S
SET S.ID_HASH = ORA_HASH (S.ID_SALDKONT || SYSTIMESTAMP || SYS_GUID ())
WHERE S.ID_HASH IS NULL;

UPDATE SALDKONT S
SET S.ID_HASH = (CASE WHEN LENGTH(S.ID_HASH) < 50 THEN LPAD(S.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(S.ID_HASH) END)       
WHERE S.ID_HASH IS NOT NULL AND LENGTH(S.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER SALDKONT_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON SALDKONT
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID_SALDKONT || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

CREATE OR REPLACE
TRIGGER RACUNI_KUPCEV_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON RACUNI_KUPCEV
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (RACUNI_KUPCEV_SEQ.CURRVAL || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1175, SYSDATE, '5.5', 1095, 'Saldkont id hash')
;