ALTER TABLE FB_LOCATION
ADD AUTO_RECEIPT_PRINT VARCHAR2(1 CHAR) DEFAULT 'Y';

ALTER TABLE FB_LOCATION
ADD MANUAL_TABLE_SELECTION VARCHAR2(1 CHAR);

ALTER TABLE FB_ORDER
ADD TABLE_NAME VARCHAR2(100 CHAR);

ALTER TABLE FB_NOTE
ADD ID_GRUPA VARCHAR2(10 CHAR);

ALTER TABLE S_GRUPE
ADD FB VARCHAR2(1 CHAR);

UPDATE S_GRUPE
SET FB = 'Y'
WHERE FB IS NULL
AND ID_GRUPA IN (SELECT ID_GRUPA FROM S_ARTIKLI WHERE FB = 'Y');


DROP VIEW V_S_GRUPE;

CREATE OR REPLACE VIEW V_S_GRUPE
AS (
SELECT SG.ID_GRUPA, SG.NAZIV, SG.INTERNI_OPIS, SG.ID_LOKACIJE, SG.NNLOCATION_ID, SG.SORT, SG.QUICK_SELECTION, SG.GROUP_NUMBER, SG.ROUNDING, SG.FB,
SL.NAZIV AS WAREHOUSE_NAME, VK.OPIS AS OWNER_TYPE_DESCRIPTION, MS.OPIS AS SERVICE_DESCRIPTION, SC.OPIS AS CATEGORY_DESCRIPTION, FBP.DESCRIPTION AS FB_LOCATION_PREPARE
FROM S_GRUPE SG
LEFT OUTER JOIN S_LOKACIJE SL ON SL.ID_LOKACIJA = SG.ID_LOKACIJE
LEFT OUTER JOIN NNVRSKUP VK ON VK.SIFRA = SG.OWNER_TYPE
LEFT OUTER JOIN M_NNSTOMAR MS ON MS.SIFRA = SG.SERVICE
LEFT OUTER JOIN S_CATEGORY SC ON SC.ID_CATEGORY = SG.ID_CATEGORY
LEFT OUTER JOIN FB_LOCATION FBP ON FBP.ID_FB_LOCATION = SG.ID_FB_LOCATION_PREPARE
);

CREATE OR REPLACE VIEW V_FB_NOTE
AS (
SELECT FN.ID_FB_NOTE, FN.NOTE, FN.ACTIVE, FN.TYPE, FN.ID_ARTIKEL, FN.ID_GRUPA,
FNT.DESCRIPTION AS TYPE_DESCRIPTION, SA.NAZIV1 AS PRODUCT_NAME, SG.NAZIV AS MATERIAL_GROUP_NAME
FROM FB_NOTE FN
LEFT OUTER JOIN FB_NOTE_TYPE FNT ON FNT.ID_FB_NOTE_TYPE = FN.TYPE
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = FN.ID_ARTIKEL
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = FN.ID_GRUPA
);

DROP VIEW V_FB_ORDER;

CREATE OR REPLACE VIEW V_FB_ORDER
AS (
SELECT FO.ID_FB_ORDER, FO.ORDER_NUMBER, FO.ID_FB_TABLE, FO.ID_LASTNIKA, FO.ID_STATUS, FO.DATE_FROM, FO.DATE_TO, FO."COMMENT", FO.DATE_CREATED, FO.USER_CREATED, FO.ID_FB_RESERVATION, FO.ID_FB_LOCATION, FO.PROFIT_CENTER, FO.TABLE_NAME,
FT.DESCRIPTION AS TABLE_DESCRIPTION, FL.DESCRIPTION AS AREA_DESCRIPTION, FOS.DESCRIPTION AS STATUS_DESCRIPTION, FOS.COLOR AS STATUS_COLOR, FOS.TEXT_COLOR AS STATUS_TEXT_COLOR, U.USER_ AS USER_NAME,
KUP.YACHT_CLUB_ID AS KUPCI_YACHT_CLUB_ID, KUP.TELEX AS KUPCI_TELEX, FR.CREATED_FROM_ORDER AS RESERVATION_CREATED_FROM_ORDER, PC.OPIS AS NNPC_OPIS,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER,
(SELECT SUM(TOTAL_PRICE) FROM FB_ORDER_DETAIL OD WHERE OD.ID_FB_ORDER = FO.ID_FB_ORDER AND (OD.WASTE IS NULL OR OD.WASTE = 'N')) AS TOTAL_PRICE
FROM FB_ORDER FO
LEFT OUTER JOIN FB_TABLE FT ON FT.ID_FB_TABLE = FO.ID_FB_TABLE
LEFT OUTER JOIN FB_LOCATION FL ON FL.ID_FB_LOCATION = FO.ID_FB_LOCATION
LEFT OUTER JOIN FB_RESERVATION FR ON FR.ID_FB_RESERVATION = FO.ID_FB_RESERVATION
LEFT OUTER JOIN FB_ORDER_STATUS FOS ON FOS.ID_FB_ORDER_STATUS = FO.ID_STATUS
LEFT OUTER JOIN NUSER U ON U.NUSER = FO.USER_CREATED
LEFT OUTER JOIN KUPCI KUP ON KUP.ID = FO.ID_LASTNIKA
LEFT OUTER JOIN NNPC PC ON FO.PROFIT_CENTER = PC.SIFRA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2107, SYSDATE, '5.5', 2027, 'FB')
;
